Gecode::Int::Cumulative::TaskByDecCap< Task > Class Template Reference

Sort order for tasks by decreasing capacity. More...

`#include <time-tabling.hpp>`

## Public Member Functions

bool | operator() (const Task &t1, const Task &t2) const
| Sort order.

## Detailed Description

template<class Task>
class Gecode::Int::Cumulative::TaskByDecCap< Task >

Sort order for tasks by decreasing capacity.

Definition at line 40 of file time-tabling.hpp.

## Member Function Documentation

## operator()()

template<class Task>

bool Gecode::Int::Cumulative::TaskByDecCap< Task >::operator() | ( | const Task & | t1,
|  | const Task & | t2 ) const

inline

Sort order.

Definition at line 48 of file time-tabling.hpp.

The documentation for this class was generated from the following file:

- gecode/int/cumulative/time-tabling.hpp